# llm_prompt_builders Wiki

Welcome to the **llm_prompt_builders** project wiki! 🎉

## Home

### Overview
**llm_prompt_builders** is a **composable**, **reusable** prompt-engineering library designed to help you build sophisticated LLM workflows by stitching together modular components. Whether you need out-of-the-box templates, system instruction roles, or advanced orchestration functions, this toolkit is built for rapid adoption and long-term maintenance.

## Why Contribute?
We believe in the power of community-driven innovation. Your ideas, bug fixes, and extensions help **llm_prompt_builders** evolve and grow. By contributing, you can:
- Enhance existing modules and templates for new use cases.
- Share domain-specific contexts and role definitions.
- Improve documentation, add examples, and guide newcomers.
- Build and maintain connectors to the latest LLM providers.

## Getting Started
1. **Clone the repo**  
   ```bash
   git clone https://github.com/Ohdsi/llm_prompt_builders.git
   cd llm_prompt_builders
   ```
2. **Install**  
   ```bash
   pip install .
   ```
3. **Explore and Reuse**  
   - Browse `src/llm_prompt_builders/prompts/` for ready-made templates.  
   - Check out `src/llm_prompt_builders/roles/` for persona fragments.  
   - Dive into `src/llm_prompt_builders/accelerators/` to customize orchestration.  
   - Leverage `src/llm_prompt_builders/contexts/` and `src/llm_prompt_builders/templates/` to craft unique workflows.

## How to Contribute
- Fork the repository and create a feature branch.  
- Add or improve modules under `src/llm_prompt_builders/`.  
- Write tests in `tests/` to ensure reliability.  
- Update this wiki with usage guides or tips.  
- Submit a pull request and join the discussion!

## Resources
- **Documentation:** https://github.com/Ohdsi/llm_prompt_builders/wiki  
- **Issues:** https://github.com/Ohdsi/llm_prompt_builders/issues  
- **Contact:** Gowtham Rao (<rao@ohdsi.org>)
